*{
    padding: 0px;
    margin: 0px;
    box-sizing: border-box;
    text-decoration: none;
    font-family: sans-serif;
    list-style: none;
}

body{
    position: relative;
}

p{
    font-family: Montserrat;
    font-weight: 400;
    color: #303030;
    
}


:root {
    --preto: black;
    --cinza-escuro:  #555555;
    --cinza-claro: #AAAAAA;
    --branco: white;
    --azul: #0096FF;
    --azul-escuro: #004669;
    --verde: #00E36F;
}

/* Cabeçalho */

.cabecalho{
    display: flex;
    padding: 5px 120px;
    align-items: center;
    justify-content: space-between;
    border-bottom: 1px solid #0095ff2c;
    position: relative;
}

.logo img{
    max-width: 130px;
    width: 100%;
}

.navegacao{
    display: flex;
    gap: 2em;
    
}


.links-navegacao{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 1em;
    color: black;
}

.links-navegacao a{
    color: black;
    font-weight: 600;
}
.links-navegacao a:hover{
    color: #0096FF;
    transform: translateY(-2px);
    transition: 300ms;
}

.bt-whatsapp{
    display: flex;
    gap: 1em;
    align-items: center;
    background-color: var(--verde);
    color: white;
    font-weight: 600;
    padding: 0.7em 1.2em;
    border: 0px;
    border-radius: 0.8em;
    font-size: 1em;
    cursor: pointer;
    max-width: 300px;
}
.bt-whatsapp:hover{
    background-color: var(--branco);
    color: var(--verde);
    border: 1px solid var(--verde);
    transform: translateY(-2px);
    transition: 300ms;
}

.bt-whatsapp img{
    width: 25px;
}

.bt-whatsapp-nav{
    display: none;
    gap: 1em;
    align-items: center;
    background-color: var(--verde);
    color: white;
    font-weight: 600;
    padding: 0.5em 1em;
    border: 0px;
    border-radius: 0.8em;
}
.bt-whatsapp-nav:hover{
    background-color: var(--branco);
    color: var(--verde);
    border: 1px solid var(--verde);
    transform: translateY(-2px);
    transition: 300ms;
}

.bt-whatsapp-nav img{
    width: 25px;
}

.icone-aberto{
    display: none;
    background-color: white;
    border: 0px;
}

.icone-aberto:hover{
    scale: 1.08;
    transition: 200ms;
}

/* Hero section */
.hero-section{
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto auto;
    row-gap: 0.5em;
    column-gap: 1em;
    height: 600px;
    padding: 0px 120px;
    background-image: url(img/fundoM.jpg);
    background-position: left;
    background-repeat: no-repeat;
    margin-bottom: 6em;
}

h1{
    color: var(--branco);
    font-size: 3em;
    grid-column: 1;
    grid-row: 1;
    align-self: flex-end;
    max-width: 500px;
    justify-self: center;
}

.hero-content{
    max-width: 500px;
    grid-column: 1;
    grid-row: 2;
    justify-self: center;
}

.hero-text{
    display: flex;
    flex-direction: column;
    gap: 0.8em;
    margin-bottom: 2em;
    color: white;
}
.hero-text > p{
    line-height: 1.4em;
    font-size: 1.125em;
    color: white;
}

.img-hero{
    max-width: 630px;
    width: 100%;
    grid-column: 2;
    grid-row: 1/3;
    align-self: center;
}

.img-hero img{
    max-width: 630px;
    width: 100%;
}

.subtitulos{
    font-size: 2.5em; 
    color: var(--azul);
    margin-bottom: 0.8em;
    max-width: 550px;
    text-align: center;
}

.logo-p{
    max-width: 150px;
    margin-bottom: 0.5em;
}

/* O que é vistoria section */

.vistoria{
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto auto;
    column-gap: 3em;
    margin-bottom: 6em;
    padding: 0px 1em;
}

.label-icones{
    color: var(--azul);
    text-align: center;
    font-size: 1.250em;
    margin-bottom: 1em;
    font-weight: bold;
    animation: bounce 1.3s infinite;
}
.vistoria h2{
    grid-column: 2;
    grid-row: 1;
    text-align: left;
    align-self: flex-end;
    margin: 0px;
}

.img-carro img{
    max-width: 700px;
}

.vistoria-descricao{
    max-width: 550px;
    grid-column: 2;
    grid-row: 2;
}

.vistoria-descricao p{
    line-height: 1.4em;
    margin-bottom: 1.5em;
}

.car-wrapper {
    position: relative;
    max-width: 700px; /* Ajuste para o tamanho da imagem */
    max-height: 800px;
    height: 100%;
    width: 100%;
    grid-column: 1;
    grid-row: 1/3;
    justify-self: center;
}

.car-image {
    width: 100%;
    display: block;
}

.car-svg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

/* Setas */
.arrow-line {
    stroke: #0096fa;
    stroke-width: 3;
    stroke-linecap: round;
}

/* Labels */
.label {
    fill: #0099ff;
    font-weight: bold;
    font-size: 18px;
    user-select: none;
    background-color: white;
    padding: 4px 8px;
}


@keyframes bounce {
  0%   { transform: translateY(0); }
  50%  { transform: translateY(4px); }
  100% { transform: translateY(0); }
}



/* Permite clique nas imagens */
.car-svg a {
    cursor: pointer;
}

.icones-setas:hover{
    transform: translateY(-3px);
    transition: 300ms;
}

/* Modal */
.fundo-modal{
    background-color: rgba(0, 0, 0, 0.171);
    position: fixed;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    display: none;
    align-items: center;
    justify-content: center;
    padding: 0.5em;
}
.modal-header{
    background-image: url(img/fundo-modal.jpg);
    background-position: center bottom;
    background-repeat: no-repeat;
    padding: 1em 1em 0px 1em;
    border-radius: 1.5em 1.5em 0px 0px;
    border-bottom: 1px solid rgba(0, 0, 0, 0.116);
    position: relative;
}


.titulo-modal{
    color: var(--azul);
    margin-bottom: 1em;
}

.bt-hide-modal{
    position: absolute;
    right: 20px;
    top: 10px;
    font-size: 30px;
    color: white;
    cursor: pointer;
}
.bt-hide-modal:hover{
    color: rgb(255, 216, 216);
    transition: 200ms;
}

.modal-content{
    max-width: 600px;
    width: 100%;
    background: var(--branco);
    padding: 1.5em;
    border-radius: 0px 0px 1em 1em;

}

.hide-modal{
    display: none;
}

/* beneficios section */
.card-beneficios-section{
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 6em;
    padding: 2em 1em;
    background-color: #82cdff17;
}
.card-beneficios-section > p{
    margin-bottom: 3.5em;
}

.cards-beneficios{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 3em;
    width: 100%;
}

.card-benef{
    max-width: 300px;
    width: 100%;
    height: 400px;
    border-radius: 1em;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.315);
    text-align: center;
    padding: 2em 1.5em;
    background-color: var(--branco);
}

.card-img-benef img{
    max-width: 100px;
    width: 100%;
    margin-bottom: 1em;
}

.card-benef-descri{
    display: flex;
    flex-direction: column;
    gap: 1em;
}

.card-benef-descri h3{
    font-size: 1.4em;
    color: var(--azul);
}

.texto-verde{
    color: var(--verde);
}

.card-benef-descri p{
    line-height: 1.4em;
    color: #2F2F2F;
}

/* vantagens de fazer vistoria section */
.vantagem-section{
    display: grid;
    grid-template-columns: auto auto;
    grid-template-rows: auto auto;
    gap: 2em;
    margin-bottom: 6em;
    padding: 0px 1em;
}
.vantagem-section h2{
    grid-row: 1;
    grid-column: 2;
}
.vantagem-img{
    max-width: 600px;
    width: 100%;
    border: 5px solid white;
    border-radius: 1em;
    box-shadow: 0px 0px 10px #0000002a;
    grid-column: 1;
    grid-row: 1/3;
    max-height: 368px;
    align-self: center;
    justify-self: center;
}
.vantagem-img img{
    max-width: 600px;
    width: 100%;
    border-radius: 1em;
    object-fit:contain;
    object-position: center;
}

.vantagem-descri{
    grid-column: 2;
    grid-row: 2;
}

.benef-list{
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    list-style: none;
    gap: 2em;
}

.item-list-benef{
    display: flex;
    gap: 1em;
    padding: 1em 1.5em;
    border-radius: 1em;
    box-shadow: 0px 0px 10px #0000002a;
    color: #2F2F2F;
    max-width: 520px;
    width: 100%;
}

.item-list-benef h3{
    color: var(--verde);
    margin-bottom: 0.5em;
}

.icone img{
    width: 30px;
}

/* oque é ferificado na vistoria section */
.verifi-section{
    margin-bottom: 6em;
    padding: 0px 1em;
}
.lists-items-verif{
    display: flex;
    justify-content: center;
    gap: 4em;
    max-width: 1000px;
}

.verif-descri{
    display: flex;
    gap: 1em;
    
}
.verifi-list{
    display: flex;
    flex-direction: column;
    gap: 1em;
}

.verifi-descri{
    display: flex;
    flex-direction: column;
    align-items: center;
}

.verifi-descri > p{
    margin-bottom: 3.5em;
}

.header-list{
    display: flex;
    gap: 1em;
    align-items: center;
    color: var(--azul);
    margin-bottom: 1em;
}

.header-list h3{
    font-size: 1.5em;
}

.icone-header-list{
    display: flex;
    padding: 6px;
    border: 4px solid var(--azul);
    border-radius: 4em;
}

.icone-header-list img{
    width: 30px;
}

/* card serviços section */
.section-card-sevices{
    margin-bottom: 6em;
    padding: 2em 1em;
    
}

.section-card-sevices >h2{
    margin: auto;
    margin-bottom: 1.5em;
}
.cards-box{
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 3em;
}
.card-service{
    max-width: 365px;
    width: 100%;
    border-radius: 1em;
    box-shadow: 0px 0px 10px #0000002a;
    display: flex;
    flex-direction: column;
}
.img-service{
    max-width: 365px;
    width: 100%;
    height: 308px;
}
.img-service img{
    width: 100%;
    height: 308px;
    object-fit: cover;
    object-position: center;
    border-radius: 1em 1em 0px 0px;
}
.card-descricao{
    display: flex;
    flex-direction: column;
    align-items: center;
    align-items: center;
    padding: 1.3em 1.5em 2em 1.5em;
    text-align: left;    
    flex: 1;
}

.card-descricao > .bt-whatsapp{
   justify-self:baseline;
}

.card-descricao h3{
    color: var(--azul);
    font-size: 1.750em;
    margin-bottom: 0.5em;
}

.card-descricao p{
    line-height: 1.5em;
    margin-bottom: 2em;
}

/* locais section */
.locais-section{
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto auto;
    column-gap: 4em;
    background-color: var(--azul);
    color: var(--branco);
    padding: 2em 1em 4em 1em;
}
.locais-section h2{
    grid-column: 2;
    grid-row: 1;
    align-self:flex-end;
    font-size: 2.5em;
    margin-bottom: 0.5em;
    max-width: 550px;
}

.cards-locais{
    margin-bottom: 2em;
}

.locais-descricao{
    grid-column: 2;
    grid-row: 2;
    max-width: 550px;
    width: 100%;
}
.locais-descricao > p{
    color: white;
    margin-bottom: 2em;
}

.img-mapa {
    grid-column: 1;
    grid-row: 1/3;
    max-width: 500px;
    width: 100%;
    justify-self: right;
}
.img-mapa img{
    max-width: 500px;
    width: 100%;
}

.locais-list{
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: start;
    gap: 1em;
    max-width: 430px;
}

.locais-item{
    display: flex;
    align-items: center;
    gap: 1em;
    border: 2px solid var(--branco);
    border-radius: 0.8em;
    padding: 0.5em 1em;
    max-width: 200px;
    grid-auto-flow: column;
}

.locais-item > p{
    color: white;
}

.icone-local{
    background-color: var(--branco);
    border-radius: 50%;
    width: 35px;
    height: 35px;
    padding: 3px;
}

.icone-local img{
    max-width: 35px;
    width: 100%;
}

/* rodapé */
.rodape{
    background-color: #ffffff;  
    padding: 2em 1em;
}
.rodape > p{
    color: rgb(0, 0, 0);
    text-align: center;
}

.contet-footer{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5em;
    flex-wrap: wrap;
    margin-bottom: 1em
}

.sobre-nos-footer{
    display: flex;
    flex-direction: column;
    max-width: 400px;
}

.rodape  h3{
    color: rgb(0, 0, 0);
    margin-bottom: 1em;
}
.sobre-nos-footer > p{
    color: rgb(0, 0, 0);
}

.logo-footer > img{
    max-width: 200px;
}

.list-contato > li{
    display: flex;
    align-items: center;
    gap: 1em;
    margin-bottom: 1em;
}
.list-contato p {
    color: rgb(0, 0, 0);

}

.list-contato img{
    width: 32px;
}

.list-contato a{
    color: black;
}

.list-contato a:hover{
    color: var(--azul);
    transition: 200ms;
}


